function num=datetonum(str)
% Convert a date string (US convention) to number: YYMMDD
% Wesley Kerr, July 2016, wesleytk@g.ucla.edu
if length(str)<6
    erorr 'You sure this is a date? You didnt even buy me dinner.'
end

ix.slash=[];
for fnd=2:length(str)-1
    if strcmp(str(fnd),'/')
        ix.slash=[ix.slash, fnd];
    end
end
if length(ix.slash)>2
    error 'This date is sure a slasher.'
elseif length(ix.slash)<2
    error 'I think you forgot to bring something...'
end
year=str2num(str(max(ix.slash)+1:end));
day =str2num(str(min(ix.slash)+1:max(ix.slash)-1));
mon =str2num(str(1:min(ix.slash)-1));
if mon>12 && day<=12
    tmp=mon;
    mon=day;
    day=tmp;
end
num=year*10000+mon*100+day;


    

